Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#1 Le 13/03/2013, à 19:19

bishop

Cherche testeurs pour install Songbird dev

8px_trans.png

Ne pas tenir compte de ce commentaire. Il est obsolète.

Acces-interdit.png

Pour l'installation et la configuration de Songbird version 2.3.0a (build 2452) rendez-vous sur cette page.



Bonjour utilisatrices et utilisateurs de Ubuntu. smile
Je prépare un billet pour l'installation sur Ubuntu de la dernière version en développement de Songbird, version 2.3.0a (build 2452 du 04-Feb-2013).
J'ai installé cette version sur Ubuntu Precise 12.04 64 bits et l'utilise sans rencontrer de problème particulier.

S'il pouvait y avoir des retours d'installation sur des architectures 32 ou 64 bits (distributions installées en dur) tant sur Precise, Quantal, Raring ou autres, Voyager ou Xubuntu ou toutes distributions dérivées Ubuntu ce serait sympa.



2327ae42e3e741069d6219a76f926.png Installation à partir de paquet DEB.

Ajout du 16-03-2013
Paquet DEB pour architecture 32 bits à tester.
J'ai construit un paquet DEB pour architecture 32 bits que vous pouvez télécharger ici : Songbird_2.3.0a-2452_i386.deb
Songbird 32bits/i386 a été testé par ja55 et par grantoubab.
Dites-moi quoi si vous installez ce paquet. Merci !

Installation.  L'erreur dans la ligne de commande est corrigée.
Copiez/collez dans un Terminal la ligne de commande suivante (une seule ligne) :

cd && wget -q http://kaisman.fr/mesmots/mydossier/myfiles/Songbird/Songbird_2.3.0a-2452_i386.deb && sudo dpkg -i Songbird_2.3.0a-2452_i386.deb && sudo apt-get install -f

Appuyez sur Entrée, entrez votre mot de passe quand il est requis, appuyez de nouveau sur Entrée.

Désinstallation

sudo apt-get remove --purge songbird

Ajout du 15-03-2013
Paquet DEB pour architecture 64 bits.
J'ai construit un paquet DEB pour architecture 64 bits que vous pouvez télécharger ici : Songbird_2.3.0a-2452_amd64.deb.
Songbird est opérationnel sur ma distribution et ce paquet a été testé par klong et par ljere.
Dites-moi quoi si vous installez ce paquet. Merci !

Avertissement Ce paquet DEB est construit à partir de l'archive Songbird_2.3.0a-2452_linux-i686.tar.gz développée pour les architectures 32 bits. Il n'est pas proposé, à l'heure actuelle, d'archive pour les architectures 64 bits.
Une dépendance de ce paquet est ia32-libs.
ia32-libs contient les bibliothèques permettant d'exécuter des outils initialement conçus pour l'architecture ia32/i386 sur un système amd64 ou ia64 Debian utilisant un noyau 64-bit.
L'installation de cette dépendance va installer de très nombreux paquets.

Copiez/collez dans un Terminal la ligne de commande suivante (une seule ligne) :

cd && wget -q http://kaisman.fr/mesmots/mydossier/myfiles/Songbird/Songbird_2.3.0a-2452_amd64.deb && sudo dpkg -i Songbird_2.3.0a-2452_amd64.deb && sudo apt-get install -f

Appuyez sur Entrée, entrez votre mot de passe quand il est requis, appuyez de nouveau sur Entrée.

Désinstallation

sudo apt-get remove --purge songbird


9da30fe0efa9d955dea09bce329a8.png Installation à partir de l'archive.

Ajout du 14-03-2013
Installations réussies. Songbird est fonctionnel sur :

  • Ubuntu Precise Pangolin 12.04 64 bits - Test : bishop

  • Ubuntu Quantal Quetzal 12.10 64 bits - Test : bishop

  • Ubuntu Raring Ringtail 13.04 64 bits - Test : bishop


Procédure d'installation.
1) Ajout du 14-03-2013 - Dépendances (uniquement pour les architectures 64 bits).
Songbird 2.3.0a est développé pour les architectures 32 bits. Il n'est pas proposé, à l'heure actuelle, d'archive pour les architectures 64 bits. Il est donc nécessaire d'installer le paquet ia32-libs. Ce paquet contient les bibliothèques permettant d'exécuter des outils initialement conçus pour l'architecture ia32/i386 sur un système amd64 ou ia64 Debian utilisant un noyau 64-bit.
Note. L'installation de ce paquet va installer de très nombreuses dépendances.
Copiez/collez dans un Terminal la ligne de commande suivante :

sudo apt-get install ia32-libs

Appuyez sur Entrée, entrez votre mot de passe quand il est requis, appuyez de nouveau sur Entrée.


Le téléchargement peut durer un certain temps, entre 5mn dans le meilleur des cas et 40mn si les serveurs sont sollicités. Ggggrrrr! Soyez patient !
2) Cette commande télécharge l'archive sur SourceForge, la décompresse, l'envoie dans le répertoire /opt, supprime l'archive, renomme le dossier en Songbird et créé un lien symbolique de l'exécutable vers /usr/bin. Copiez/collez dans un Terminal la ligne de commande suivante (une seule ligne) :

cd && wget http://developer.songbirdnest.com/builds/trunk/latest/Songbird_2.3.0a-2452_linux-i686.tar.gz && sudo tar xvf Songbird_2.3.0a-2452_linux-i686.tar.gz -C /opt && rm Songbird_2.3.0a-2452_linux-i686.tar.gz && cd /opt && sudo mv Songbird_build-2452 Songbird && cd && sudo ln -s /opt/Songbird/songbird /usr/bin/

Appuyez sur Entrée, entrez votre mot de passe s'il est requis, appuyez de nouveau sur Entrée.


3) La commande ci-dessous télécharge une archive contenant un fichier Songbird.desktop et un icône songbird.png 128x128, décompresse l'archive et dépose les fichiers dans les dossiers appropriés. Copiez/collez dans un Terminal la ligne de commande suivante (une seule ligne) :

cd && wget http://kaisman.fr/mesmots/mydossier/myfiles/Songbird/Songbird.tar.gz && tar xvf Songbird.tar.gz && sudo mv Songbird.desktop /usr/share/applications && sudo mv songbird.png /usr/share/icons && rm Songbird.tar.gz

Appuyez sur Entrée, entrez votre mot de passe quand il est requis, appuyez de nouveau sur Entrée.


4a) Ajout du 14-03-2013 Lancez Songbird dans un Terminal (pour voir les erreurs) :

songbird

qui affichera (peut être) ce message d'erreur :

Songbird.sur.Voyager-12.10_01.png


4b) Dans ce cas supprimez le dossier caché .songbird2 :

rm -R ~/.songbird2

5) Puis relancez Songbird :

songbird

Ensuite vous pouvez lancer Songbird en tapant songbird dans la zone de recherche du Dash d'Unity et en cliquant sur l'icône Songbird ou si vous avez installé un Menu en cliquant sur Songbird dans Son & Vidéo.


Désinstallation complète se Songbird.

sudo rm -R /opt/Songbird && rm -R ~/.songbird2 && sudo rm /usr/share/applications/Songbird.desktop && sudo rm /usr/share/icons/songbird.png

Appuyez sur Entrée, entrez votre mot de passe quand il est requis, appuyez de nouveau sur Entrée.

Merci pour vos retours.



06ce6f9338e5604ebbb8e06c2b56d.png Captures d'écran.

Capture d'écran de Songbird 2.3.0a sur Ubuntu Precise Pangolin 12.04

Songbird_version.png

songbird-mini.01a.jpg

songbird-mini.02a.jpg

songbird-mini.03a.jpg

songbird-mini.04a.jpg



8bc2da14fafb39e95847ab44224f8.png Add-ons compatibles avec Songbird version 2.3.* pour Linux

1) Add-ons compatible distribution GNU/Linux sur Developer Center
Entrez l'URL dans la barre d'adresse du navigateur web de Songbird :

http://developer.songbirdnest.com/builds/trunk/latest/addons/

Cliquez sur l'add'on que vous voulez installer.

  • 7digital-2.3.0a.2452.xpi est déja installé par défaut.

  • amazonmusic-2.3.0a.2452.xpi est déja installé par défaut.

  • mashTape-1.1.11pre.2452.xpi est déja installé par défaut.

  • shoutcast-radio-1.0.10pre.2452.xpi est déja installé par défaut.

  • albumartlastfm-0.1.9pre.2452.xpi

  • audioscrobbler-1.0.10pre.2452.xpi

  • concerts-1.1.8pre.2452-linux-i686.xpi

  • gracenote-1.0.10pre.2452-linux-i686.xpi

  • msc-1.0.11pre.2452-linux-i686.xpi

  • newreleases-1.0.8pre.2452.xpi

  • qatesttools-1.0.9pre.2452.xpi


2) Add-ons sur le site officiel :
Dans la barre de tâches de Songbird cliquez sur Outils > Modules complémentaires...
Dans la fenêtre Préférences de Songbird cliquez sur Obtenir des extensions.
Dans Featured Add-ons cliquez sur All.
Dans les options de recherche sélectionnez Show > Installable et Order by > Last Updated. Cliquez sur Apply.
Il ne sera affiché que les add-ons pouvant être installés sur la version 2.3.0a de Songbird. Installez les add-ons qui vous intéressent.


3) Add-ons que j'ai mis à jour ou provenant de Nightingale ou compilé à partir des sources de développement nightingale-addons-master et adaptés à Songbird 2.3.0a.
Téléchargez les add-ons qui vous intéressent > clique droit sur l'add-on > Enregistrer la cible du lien sous...
Dans la barre de tâches de Songbird cliquez sur Outils > Modules complémentaires...
Dans la fenêtre Préférences de Songbird cliquez sur Installer... > chemin vers l'add-on téléchargé.

Recherche.
dogmazicsearch-1.0.8.xpi mis à jour pour compatibilité + modification du lien du favicon obsolète.
duckduckgo-search-1.0.0.xpi compilé à partir des sources de développement nightingale-addons-master.
google-search.xpi mis à jour pour compatibilité                                                       
jamendo-search.xpi mis à jour pour compatibilité                                                       
mp3skullbutton.xpi, add-ons d'origine Nightingale modifié pour être compatible avec Songbird.         

Thèmes.
glossycoat-v2.5.xpi mis à jour pour compatibilité.                                             
Nightingale.xpi mis à jour pour compatibilité.                           

Add-ons.
birdtune-1.3.9.xpi mis à jour pour compatibilité.           
detailspane-1.1.1.6.xpi mis à jour pour compatibilité.                 
equalizerpane-1.0.10.xpi mis à jour pour compatibilité.                   
extended-copy-menu-1.6.1.3.xpi mis à jour pour compatibilité.
mediaflow-3.3.xpi mis à jour pour compatibilité.                         
minimizetotrayplusplus-1.0.9-linux.xpi mis à jour pour compatibilité.     
newtab-1.2.7.xpi mis à jour pour compatibilité.


MyMultimediaKeysFlip.
Je viens de mettre à jour MyMultimediaKeysFlip. J'ai testé cet add-on et il fonctionne correctement.

Téléchargement.
Clique droit sur le lien > Enregistrer la cible du lien sous...  mmkeysreloadedflip.xpi, installez l'add-on.

Raccourcis clavier.
Pour trouver le détail des raccourcis rendez-vous dans la barre de taches de Songbird > Aide > Raccourcis clavier.

Songbird-Raccourcis-Clavier_mini.png


Command Line Support (MAJ pour compatibilité).
Il y a aussi l'add-on Command Line Support qui est sympa.

Téléchargement.
Clique droit sur le lien > Enregistrer la cible du lien sous...  command-line-support-1.1.10.xpi, installez l'add-on.

Utilisation.
Cette extension fournit un moyen facile de contrôler Songbird en ligne de commande. Exemple :

songbird -stop
  • -play

  • -pause (play/pause)

  • -stop

  • -previous

  • -next

  • -mute

  • -volumeup

  • -volumedown


Note. Je n'ai ni modifié les numéros de version des add-ons ni les références afférentes aux concepteurs. Je n'ai pas ajouté de référence à moi même.

En attendant que je me colle à la MAJ d'autres add-ons, si certains add-ons obsolètes (mais pas trop) vous intéressent dites-le moi. S'il est possible de les adapter je vous dis quoi.

Dernière modification par bishop (Le 21/03/2013, à 03:19)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#2 Le 13/03/2013, à 19:50

ljere

Re : Cherche testeurs pour install Songbird dev

j'ai lancé l'installation sur voyager 12.10 en 64 bit, on verra bien ce que cela donne

voila mon premier retour

Songbird has detected that your Library is corrupt and cannot be read.

In order for Songbird to function correctly, your library needs to be deleted. This action cannot be undone. You will lose subscriptions, playlists and track metadata edited in Songbird.

Your media files are safe and will not be deleted, but you'll need to rescan them.

Dernière modification par ljere (Le 13/03/2013, à 20:00)


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#3 Le 13/03/2013, à 20:34

bishop

Re : Cherche testeurs pour install Songbird dev

Salut ljere et merci pour ce retour.

J'ai pas eu ce message lors de mes tests.
Je viens de faire une recherche sur ton message d'erreur.


Le seul message d'erreur affiché tant sur Ubuntu Quantal 12.10 que sur Voyager 12.10 est :

bishop@Quantal:~$ songbird
/usr/bin/songbird: 169: /usr/bin/songbird: /opt/Songbird/ ./songbird.bin: no found

Je ne comprends pas pourquoi il ne trouve pas le chemin de l'exécutable sur ces distributions alors qu'il le trouve sur Precise (?).

Dernière modification par bishop (Le 13/03/2013, à 21:44)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#4 Le 13/03/2013, à 20:50

ljere

Re : Cherche testeurs pour install Songbird dev

en le lançant par mon terminal j'obtiens

 songbird

(songbird-bin:13037): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/engines/libequinox.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:13073): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstmpeg2enc.so': /usr/lib/gstreamer-0.10/libgstmpeg2enc.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:13073): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstfaac.so': /usr/lib/gstreamer-0.10/libgstfaac.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:13073): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstmplex.so': /usr/lib/gstreamer-0.10/libgstmplex.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:13073): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:13073): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstxvid.so': /usr/lib/gstreamer-0.10/libgstxvid.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:13037): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:13037): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:13037): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

je vais regarder ce que je trouve dessus


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#5 Le 13/03/2013, à 22:31

bishop

Re : Cherche testeurs pour install Songbird dev

J'ai aussi pas mal de messages d'erreur quand je lance Songbird dans un Terminal mais ça n'entrave en rien le bon fonctionnement de ce Player :

bishop@JC:~/Bureau$ songbird 
`menu_proxy_module_load': /opt/Songbird/./songbird-bin: undefined symbol: menu_proxy_module_load

(songbird-bin:10974): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': /opt/Songbird/./songbird-bin: undefined symbol: menu_proxy_module_load

(songbird-bin:10974): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': /opt/Songbird/./songbird-bin: undefined symbol: menu_proxy_module_load

(songbird-bin:10974): Gtk-WARNING **: Failed to load type module: (null)

sbTrackAlbumArtFetcher: Starting track Album Art Fetcher Component

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstmpeg2enc.so': /usr/lib/gstreamer-0.10/libgstmpeg2enc.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstnice.so': /usr/lib/gstreamer-0.10/libgstnice.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpostproc.so': /usr/lib/gstreamer-0.10/libgstpostproc.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstclutter.so': /usr/lib/gstreamer-0.10/libgstclutter.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpegscale.so': /usr/lib/gstreamer-0.10/libgstffmpegscale.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstxvid.so': /usr/lib/gstreamer-0.10/libgstxvid.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstmplex.so': /usr/lib/gstreamer-0.10/libgstmplex.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: mauvaise classe ELF : ELFCLASS64

(songbird-bin:10980): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstfaac.so': /usr/lib/gstreamer-0.10/libgstfaac.so: mauvaise classe ELF : ELFCLASS64
sbTrackAlbumArtFetcher: Starting track Album Art Fetcher Component

(songbird-bin:10974): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
`menu_proxy_module_load': /opt/Songbird/./songbird-bin: undefined symbol: menu_proxy_module_load

(songbird-bin:10974): Gtk-WARNING **: Failed to load type module: (null)

`menu_proxy_module_load': /opt/Songbird/./songbird-bin: undefined symbol: menu_proxy_module_load

(songbird-bin:10974): Gtk-WARNING **: Failed to load type module: (null)


(songbird-bin:10974): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:10974): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so [/usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libtotem-cone-plugin.so [/usr/lib/mozilla/plugins/libtotem-cone-plugin.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so [/usr/lib/mozilla/plugins/libtotem-gmp-plugin.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libtotem-mully-plugin.so [/usr/lib/mozilla/plugins/libtotem-mully-plugin.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so [/usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/jvm/java-6-openjdk-amd64/jre/lib/amd64/IcedTeaPlugin.so [/usr/lib/jvm/java-6-openjdk-amd64/jre/lib/amd64/IcedTeaPlugin.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/jvm/java-7-oracle/jre/lib/amd64/libnpjp2.so [/usr/lib/jvm/java-7-oracle/jre/lib/amd64/libnpjp2.so: mauvaise classe ELF : ELFCLASS64]
LoadPlugin: failed to initialize shared library /usr/lib/mozilla/plugins/libflashplayer.so [/usr/lib/mozilla/plugins/libflashplayer.so: mauvaise classe ELF : ELFCLASS64]
`menu_proxy_module_load': /opt/Songbird/./songbird-bin: undefined symbol: menu_proxy_module_load

(songbird-bin:10974): Gtk-WARNING **: Failed to load type module: (null)

this.m_addToPlaylist is null in SBPlaylistCommand_AddToPlaylist ?!!
this.m_addToDevice is null in SBPlaylistCommand_AddToDevice ?!!
this.addToLibrary is null in SBPlaylistCommand_AddToLibrary ?!!

Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#6 Le 14/03/2013, à 03:17

bishop

Re : Cherche testeurs pour install Songbird dev

Je viens d'installer Raring sur Virtualbox et c'est pareil :

bishop@Raring:~/Bureau$ songbird 
/usr/bin/songbird: 169: /usr/bin/songbird: /opt/Songbird/./songbird-bin: not found

Et un nouveau test sur Voyager 12.10 après avoir fait les MAJ :

bishop @ Voyager  ~
└─ $ ▶ songbird 
/usr/bin/songbird: 169: /usr/bin/songbird: /opt/Songbird/./songbird-bin: not found

Dernière modification par bishop (Le 14/03/2013, à 03:42)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#7 Le 14/03/2013, à 08:26

ljere

Re : Cherche testeurs pour install Songbird dev

j'ai fait quelques essai malheureusement rien d’exceptionnel
en prenant /usr/lib/gtk-2.0/2.10.0/engines/libequinox.so de 12.04 plus d'erreur sur cette lib
je me suis donc je vais en faire autant avec les autres
malheureusement l'erreur change mais ça ne fonctionne pas non plus
exemple avec /usr/lib/gstreamer-0.10/libgstxvid.so c'est libxvidcore.so.4 ne correspond pas, ben oui il se rend compte que c'est pas la bonne version

Dernière modification par ljere (Le 14/03/2013, à 08:31)


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#8 Le 14/03/2013, à 09:19

bishop

Re : Cherche testeurs pour install Songbird dev

Bon ! Songbird fonctionne sur Ubuntu Raring 13.04 (dans Virtualbox). Il suffisait d'installer ia32-libs.
Je testerai sur Quantal 12.10 mais je pense que ce doit être la même punition.


J'ai installé ia32-lib sur Voyager 12.10 et j'obtiens la même erreur que toi.

Songbird.sur.Voyager-12.10_01.png

Dernière modification par bishop (Le 15/03/2013, à 08:05)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#9 Le 14/03/2013, à 22:50

bishop

Re : Cherche testeurs pour install Songbird dev

Songbird fonctionne sur Ubuntu Quantal 12.10 après avoir supprimé le dossier caché .songbird2.

1) Il faut installer ia32-libs :

sudo apt-get install ia32-libs

2) Suivre le tuto d'installation de Songbird.


3) Lancer Songbird :

songbird

qui affichera (peut être) ce message d'erreur :

Songbird.sur.Voyager-12.10_01.png


4) Si c'est le cas il faut supprimer le dossier caché .songbird2 :

rm -R ~/.songbird2

5) Relancer Songbird :

songbird

Par contre ça ne fonctionne toujours pas sur Voyager 12.10.

Dernière modification par bishop (Le 14/03/2013, à 23:58)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#10 Le 15/03/2013, à 10:30

ljere

Re : Cherche testeurs pour install Songbird dev

salut en cherchant sur le site officiel de songbird je suis tombé sur nightingale je l'ai donc dll et testé
le lancement s'effectue mais impossible d'afficher la moindre musique si je passe par la radio ça ne fonctionne pas non plus
je crois que dans tous les cas songbird est incompatible avec voyager 12.10 en 64bit il faudrait des testeur avec xubuntu ou même voyager en 32 bit
il peut simplement manquer un paquet de gnome


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#11 Le 15/03/2013, à 11:46

klong

Re : Cherche testeurs pour install Songbird dev

Si ça peut aider, pour que Songbird fonctionne sur Voyager 12.10 64bit, je l'ai mis dans un dossier Programmes de mon home.
Mais si je le mets dans /opt, j'ai les mêmes problèmes que vous.


Desktop : CM Gigabyte GA-Z68P-DS Processeur Intel Core i5-2400 
>Manjaro 8.10 / Voyager 13.10 / Voyager7 / Voyager 14.04
Netbook : Compaq CQ10-130 1 G Atom N270 >Voyager 13.10 /CrunchBang

Hors ligne

#12 Le 15/03/2013, à 12:05

ljere

Re : Cherche testeurs pour install Songbird dev

en effet je viens de tester simplement

cd Téléchargements/
 wget http://developer.songbirdnest.com/builds/trunk/latest/Songbird_2.3.0a-2452_linux-i686.tar.gz
--2013-03-15 10:52:11--  http://developer.songbirdnest.com/builds/trunk/latest/Songbird_2.3.0a-2452_linux-i686.tar.gz
Résolution de developer.songbirdnest.com (developer.songbirdnest.com)... 204.16.157.74
Connexion vers developer.songbirdnest.com (developer.songbirdnest.com)|204.16.157.74|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Longueur: 23671336 (23M) [application/x-gzip]
Sauvegarde en : «Songbird_2.3.0a-2452_linux-i686.tar.gz»

100%[======================================>] 23 671 336   653K/s   ds 52s     

2013-03-15 10:53:05 (442 KB/s) - «Songbird_2.3.0a-2452_linux-i686.tar.gz» sauvegardé [23671336/23671336]
tar xvf Songbird_2.3.0a-2452_linux-i686.tar.gz

puis je vais dans le dossier décompresser je lance songbird-bin
il fonctionne parfaitement essai réussi bravo klong


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#13 Le 15/03/2013, à 12:22

bishop

Re : Cherche testeurs pour install Songbird dev

ljere a écrit :

salut en cherchant sur le site officiel de songbird je suis tombé sur nightingale je l'ai donc dll et testé
le lancement s'effectue mais impossible d'afficher la moindre musique si je passe par la radio ça ne fonctionne pas non plus
je crois que dans tous les cas songbird est incompatible avec voyager 12.10 en 64bit il faudrait des testeur avec xubuntu ou même voyager en 32 bit
il peut simplement manquer un paquet de gnome

J'ai installé Nightingale et Songbird sur Natty il y a un moment déja et j'utilise occasionnellement Nightingale sur Precise 12.04 64 bits.
Je viens de réinstaller Nightingale en version 1.11.1, Build 2269 (20121227182102) pour tests et je n'ai rencontré aucun problème (installation dans /opt).


klong écrit :
Si ça peut aider, pour que Songbird fonctionne sur Voyager 12.10 64bit, je l'ai mis dans un dossier Programmes de mon home.
Mais si je le mets dans /opt, j'ai les mêmes problèmes que vous.

Je vais tester ta proposition pour une installation de Songbird dans le dossier personnel (sur Voyager 12.10).
Je vais aussi essayer une installation dans /usr/local pour voir si c'est la même punition que dans /opt.
En tous les cas... Merci klong. smile

Dernière modification par bishop (Le 15/03/2013, à 12:22)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#14 Le 15/03/2013, à 12:47

ja55

Re : Cherche testeurs pour install Songbird dev

tester sur linuxmint Nadia 14 marche bien cependant je dois ajouter  :

 export SB_GST_SYSTEM=1
 export LD_BIND_NOW=1

pour avoir la compatibilité avec les fichiers aac m4p


sony vaio, ubuntu-linuxmint

Hors ligne

#15 Le 15/03/2013, à 14:42

bishop

Re : Cherche testeurs pour install Songbird dev

Re-Bravo klong !
En effet ! Je viens de tester et Songbird fonctionne dans Voyager 12.10 en décompressant l'archive dans le dossier personnel (home).  Un lien symbolique de l'exécutable songbird vers /usr/bin est aussi fonctionnel.
C'est malgré tout un peu gênant (question sécurité paraît-il) d'utiliser un logiciel installé dans le dossier personnel.
J'aimerai aussi comprendre pourquoi Songbird fonctionne dans le /home et pas dans /opt ou /usr/local (???).


ja55 écrit :
tester sur linuxmint Nadia 14 marche bien cependant je dois ajouter  :

export SB_GST_SYSTEM=1
export LD_BIND_NOW=1

pour avoir la compatibilité avec les fichiers aac m4p

ja55 ! Merci pour le retour.
C'est cette version de Linux Mint que tu utilises ? 32 ou 64 bits ?
As-tu suivi la procédure du tuto pour installer Sonbird ?
Où ajoutes-tu les lignes export ... ?
Merci !

Dernière modification par bishop (Le 15/03/2013, à 14:57)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#16 Le 15/03/2013, à 15:10

grandtoubab

Re : Cherche testeurs pour install Songbird dev

Salut,
Ubuntu 12.04
ça marche pas

@ubuntu-desktop:~$ songbird

(songbird-bin:19145): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19145): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19145): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19137): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19157): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19157): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19157): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19137): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19137): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19137): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
@ubuntu-desktop:~$ rm -R ~/.songbird2
@ubuntu-desktop:~$ songbird

(songbird-bin:19186): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19186): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19186): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19198): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19198): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19198): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19211): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19211): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19211): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19224): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19224): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19224): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19238): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:19238): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:19238): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:19178): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
@ubuntu-desktop:~$ sudo rm -R /opt/Songbird && rm -R ~/.songbird2 && sudo rm /usr/share/applications/Songbird.desktop && sudo rm /usr/share/icons/songbird.png
@ubuntu-desktop:~$ 

Linux tout seul sur le disque dur  Acer Aspire T650 :=))
RAM: 1,7 Gio, CPU: Intel® Pentium(R) 4 CPU 3.06GHz × 2. Carte graphique Gallium 0.4 on ATI RC410 (Radeon Xpress200)
Partition 1: Debian Jessie & Gnome Version 3.12, Kernel  3.16.3-031603-generic
Partition 2: Ubuntu Trusty 14.04 & Unity

Hors ligne

#17 Le 15/03/2013, à 15:26

bishop

Re : Cherche testeurs pour install Songbird dev

grandtoubab écrit :
ça marche pas

Merci pour le retour !

Architecture 32 ou 64 bits ?
La réponse est dans ta signature... roll

Dernière modification par bishop (Le 15/03/2013, à 15:29)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#18 Le 15/03/2013, à 16:36

grandtoubab

Re : Cherche testeurs pour install Songbird dev

bishop a écrit :

grandtoubab écrit :
ça marche pas

Merci pour le retour !

Architecture 32 ou 64 bits ?
La réponse est dans ta signature... roll

Deuxieme essai dans le /home

Malgré beaucoup d'erreurs, c'est mieux

@ubuntu-desktop:~/Songbird_build-2452$ ls
application.ini  components  gst-plugins  lib           plugins     searchplugins     songbird-bin   updater.ini
blocklist.xml    defaults    gstreamer    LICENSE.html  README.txt  songbird          songbird.ini   xulrunner
chrome           extensions  jsmodules    LICENSE.rtf   scripts     songbird-512.png  TRADEMARK.txt
@ubuntu-desktop:~/Songbird_build-2452$ ./songbird

(songbird-bin:4610): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:4610): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:4610): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4627): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:4627): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:4627): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
this.m_addToPlaylist is null in SBPlaylistCommand_AddToPlaylist ?!!
this.m_addToDevice is null in SBPlaylistCommand_AddToDevice ?!!
this.addToLibrary is null in SBPlaylistCommand_AddToLibrary ?!!

(songbird-bin:4658): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:4658): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:4658): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4672): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:4672): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:4672): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:4602): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

1363357593.png

1363357626.png

1363357661.png

1363357697.png

1363357734.png

1363357867.png
1363357941.png

1363358131.png

Et j'ai même du son lol

Mais ça ne marche qu'une fois

@ubuntu-desktop:~/Songbird_build-2452$ ./songbird

(songbird-bin:5468): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgnl.so': /usr/lib/gstreamer-0.10/libgnl.so: undefined symbol: gst_pad_link_full

(songbird-bin:5468): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstffmpeg.so': /usr/lib/gstreamer-0.10/libgstffmpeg.so: undefined symbol: gst_codec_utils_aac_caps_set_level_and_profile

(songbird-bin:5468): GStreamer-WARNING **: Failed to load plugin '/usr/lib/gstreamer-0.10/libgstpython.so': /usr/lib/gstreamer-0.10/libgstpython.so: undefined symbol: Py_Initialize

(songbird-bin:5459): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:5459): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:5459): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
Segmentation fault (core dumped)

Dernière modification par grandtoubab (Le 15/03/2013, à 16:45)


Linux tout seul sur le disque dur  Acer Aspire T650 :=))
RAM: 1,7 Gio, CPU: Intel® Pentium(R) 4 CPU 3.06GHz × 2. Carte graphique Gallium 0.4 on ATI RC410 (Radeon Xpress200)
Partition 1: Debian Jessie & Gnome Version 3.12, Kernel  3.16.3-031603-generic
Partition 2: Ubuntu Trusty 14.04 & Unity

Hors ligne

#19 Le 15/03/2013, à 19:30

bishop

Re : Cherche testeurs pour install Songbird dev

grantoubab !
Est-ce que tu peux essayer de supprimer les libgst*.so contenu dans le dossier /lib (dans ton /home/Songbird_build-2452).
Vu dans Getting the script > https://help.ubuntu.com/community/Songbird
Cette suppression est censée fonctionner sur les architecture 32 bits.

J'ai essayé sur ma bécane mais c'est une architecture 64 bit et ça ne fonctionne pas (pas d'import de la bibliothèque, pas de  SHOUTcast, etc...).

Dernière modification par bishop (Le 15/03/2013, à 19:34)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#20 Le 15/03/2013, à 20:45

bishop

Re : Cherche testeurs pour install Songbird dev

klong ! ljere !
Bizarre... Vous avez dit bizarre...

J'ai supprimé complètement Songbird du /home sur Voyager 12.10 et réinstallé dans /opt et Songbird fonctionne.
J'ai de nouveau tout supprimé pour tester, toujours sur Voyager 12.10 64 bits, un paquet DEB (64 bits) que j'ai construit : Songbird_2.3.0a-2452_amd64.deb. Songbird est opérationnel sur ma distribution. Si vous voulez tester.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#21 Le 15/03/2013, à 21:15

klong

Re : Cherche testeurs pour install Songbird dev

Téléchargé, installé et tout baigne. Bravo et merci de m'avoir fait redécouvrir un logiciel que j'utilisais il y a quelques années et que j'aimais bien. Je vais peut-être le garder.


Desktop : CM Gigabyte GA-Z68P-DS Processeur Intel Core i5-2400 
>Manjaro 8.10 / Voyager 13.10 / Voyager7 / Voyager 14.04
Netbook : Compaq CQ10-130 1 G Atom N270 >Voyager 13.10 /CrunchBang

Hors ligne

#22 Le 15/03/2013, à 21:57

ljere

Re : Cherche testeurs pour install Songbird dev

pareil ça fonctionne bien que je préfère moc pour sa légèreté il restera installé au cas ou ^^


Modérateur d'ubuntu-fr.org
athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openbox/xubuntu 14.04 64 bit
Mon Blog et Une découverte

Hors ligne

#23 Le 16/03/2013, à 00:35

bishop

Re : Cherche testeurs pour install Songbird dev

Add-ons compatibles avec Songbird version 2.3.* pour Linux

1) Add-ons compatible distribution GNU/Linux sur Developer Center
Entrez l'URL dans la barre d'adresse du navigateur web de Songbird :

http://developer.songbirdnest.com/builds/trunk/latest/addons/

Cliquez sur l'add'on que vous voulez installer.

  • 7digital-2.3.0a.2452.xpi est déja installé par défaut.

  • amazonmusic-2.3.0a.2452.xpi est déja installé par défaut.

  • mashTape-1.1.11pre.2452.xpi est déja installé par défaut.

  • shoutcast-radio-1.0.10pre.2452.xpi est déja installé par défaut.

  • albumartlastfm-0.1.9pre.2452.xpi

  • audioscrobbler-1.0.10pre.2452.xpi

  • concerts-1.1.8pre.2452-linux-i686.xpi

  • gracenote-1.0.10pre.2452-linux-i686.xpi

  • msc-1.0.11pre.2452-linux-i686.xpi

  • newreleases-1.0.8pre.2452.xpi

  • qatesttools-1.0.9pre.2452.xpi


2) Add-ons sur le site officiel :
Dans la barre de tâches de Songbird cliquez sur Outils > Modules complémentaires...
Dans la fenêtre Préférences de Songbird cliquez sur Obtenir des extensions.
Dans Featured Add-ons cliquez sur All.
Dans les options de recherche sélectionnez Show > Installable et Order by > Last Updated. Cliquez sur Apply.
Il ne sera affiché que les add-ons pouvant être installés sur la version 2.3.0a de Songbird. Installez les add-ons qui vous intéressent.


3) Add-ons que j'ai mis à jour ou provenant de Nightingale ou compilé à partir des sources de développement nightingale-addons-master et adaptés à Songbird 2.3.0a.
Téléchargez les add-ons qui vous intéressent > clique droit sur l'add-on > Enregistrer la cible du lien sous...
Dans la barre de tâches de Songbird cliquez sur Outils > Modules complémentaires...
Dans la fenêtre Préférences de Songbird cliquez sur Installer... > chemin vers l'add-on téléchargé.

Recherche.
dogmazicsearch-1.0.8.xpi mis à jour pour compatibilité + modification du lien du favicon obsolète.
duckduckgo-search-1.0.0.xpi compilé à partir des sources de développement nightingale-addons-master.
google-search.xpi mis à jour pour compatibilité                                                       
jamendo-search.xpi mis à jour pour compatibilité                                                       
mp3skullbutton.xpi, add-ons d'origine Nightingale modifié pour être compatible avec Songbird.         

Thèmes.
glossycoat-v2.5.xpi mis à jour pour compatibilité.                                             
Nightingale.xpi mis à jour pour compatibilité.                           

Add-ons.
birdtune-1.3.9.xpi mis à jour pour compatibilité.           
detailspane-1.1.1.6.xpi mis à jour pour compatibilité.                 
equalizerpane-1.0.10.xpi mis à jour pour compatibilité.                   
extended-copy-menu-1.6.1.3.xpi mis à jour pour compatibilité.
mediaflow-3.3.xpi mis à jour pour compatibilité.                         
minimizetotrayplusplus-1.0.9-linux.xpi mis à jour pour compatibilité.     
newtab-1.2.7.xpi mis à jour pour compatibilité.

En attendant que je me colle à la MAJ d'autres add-ons, si certains add-ons obsolètes (mais pas trop) vous intéressent dites-le moi. S'il est possible de les adapter je vous dis quoi.


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#24 Le 16/03/2013, à 01:29

ja55

Re : Cherche testeurs pour install Songbird dev

ja55 écrit :
tester sur linuxmint Nadia 14 marche bien cependant je dois ajouter  :

export SB_GST_SYSTEM=1
export LD_BIND_NOW=1
pour avoir la compatibilité avec les fichiers aac m4p

ja55 ! Merci pour le retour.
C'est cette version de Linux Mint que tu utilises ? 32 ou 64 bits ?
As-tu suivi la procédure du tuto pour installer Sonbird ?
Où ajoutes-tu les lignes export ... ?
Merci !


Pardon, LinuxMint 14 Nadia 32bits
Installation dans /home/ (je l'ai installé et je l'utilises bien avant que je vois ton poste ici)
j'ai ajouté les lignes export dans /usr/bin/spotify.sh

#!/bin/sh
 export SB_GST_SYSTEM=1
 export LD_BIND_NOW=1
cd /home/ja55/.Songbird/
./songbird

dans le lanceur sur mon tableau de bord >> application à lancer :

songbird %U

Songbird 2.0.3a / LinuxMint 14 32bits avec le theme Murphy Songbird2.0.3a LinuxMint
quand je lance songbird dans un terminal :

(songbird-bin:9248): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:9248): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:9248): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(songbird-bin:9248): Gdk-CRITICAL **: IA__gdk_error_trap_pop: assertion `gdk_error_traps != NULL' failed
this.m_addToPlaylist is null in SBPlaylistCommand_AddToPlaylist ?!!
this.m_addToDevice is null in SBPlaylistCommand_AddToDevice ?!!
this.addToLibrary is null in SBPlaylistCommand_AddToLibrary ?!!

à part ça tout fonctionne très bien

Dernière modification par ja55 (Le 16/03/2013, à 01:52)


sony vaio, ubuntu-linuxmint

Hors ligne

#25 Le 16/03/2013, à 01:43

bishop

Re : Cherche testeurs pour install Songbird dev

Merci ja55 pour ces précisions ! cool

Je vais mettre un DEB en ligne pour architecture 32 bits (i386). Est-ce que tu peux tester ?

Dernière modification par bishop (Le 16/03/2013, à 01:46)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

Haut de page ↑